<?

/*
 * send_xmpp.php - script for sending XMPP messages
 *
 * Copyright (c) 2006 Lukas Jelinek, http://www.aiken.cz
 *
 * ==========================================================================
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License Version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * ==========================================================================
 */

require_once("class.jabber.php");


/// Sends an XMPP message.
/**
 * \param[in] $server your XMPP server
 * \param[in] $user sender JID (user name)
 * \param[in] $sender password
 * \param[in] $recip full XMPP address where the message is sent to
 * \param[in] $msg message text
 * \return TRUE = success, FALSE = failure
 */
function send_xmpp_msg($server, $user, $pass, $recip, $msg)
{
  $JABBER = new Jabber; 
  
  $JABBER->server         = $server; 
  $JABBER->port           = 5222; 
  $JABBER->username       = $user; 
  $JABBER->password       = $pass; 
  $JABBER->resource       = "PHP Notifier"; 
  
  $JABBER->enable_logging = FALSE; 
  
  
  if (!$JABBER->Connect())
    return FALSE;
  
  if (!$JABBER->SendAuth()) {
    $JABBER->Disconnect();
    return FALSE;
  }
  
  $ma = array("body" => $msg, "subject" => "", "thread" => "01");
  if (!$JABBER->SendMessage($recip, "normal", NULL, $ma)) {
    $JABBER->Disconnect();
    return FALSE;
  }
  
  $JABBER->Disconnect();
  
  return TRUE;
}

?>
